%define module  six

%bcond_with test

Name:           python-%{module}
Version:        1.16.0
Release:        %mkrel 1
Summary:        Python 2 and 3 compatibility utilities
Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/six/
Source0:        six-%{version}.tar.xz
BuildArch:      noarch

%description
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%package -n     python3-%{module}
Summary:        Python 2 and 3 compatibility utilities / Python 3 library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
# For use by selftests:
BuildRequires:  python3-pkg-resources
BuildRequires:  tkinter3
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
python-six provides simple utilities for wrapping over differences between
Python 2 and Python 3.

%prep
%setup -qn %{module}-%{version}

# drop bundled egg-info
rm -rf *.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc LICENSE README.rst documentation/index.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/six*


%changelog
* Sun Feb 27 2022 TerryN <terryn94 at gmail.com> 1.16.0-1pclos2022
- update and rebuild for python 3.10

* Thu Apr 02 2021 tex - 1.15.0-1pclos2021
- new version 1.15.0
